Package: io.vertx.groovy.redis

## [Groovy] Class RedisClient

- io.vertx.groovy.redis.RedisClient

- - ### Constructor Summary

    Constructors
    Constructor and description
    `RedisClient (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `RedisClient` | `append(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Append a value to a key
    `RedisClient` | `auth(java.lang.String password, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Authenticate to the server
    `RedisClient` | `bgrewriteaof(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Asynchronously rewrite the append-only file
    `RedisClient` | `bgsave(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Asynchronously save the dataset to disk
    `RedisClient` | `bitcount(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Count set bits in a string
    `RedisClient` | `bitcountRange(java.lang.String key, long start, long end, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Count set bits in a string
    `RedisClient` | `bitop(io.vertx.redis.op.BitOperation operation, java.lang.String destkey, java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Perform bitwise operations between strings
    `RedisClient` | `bitpos(java.lang.String key, int bit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Find first bit set or clear in a string
    `RedisClient` | `bitposFrom(java.lang.String key, int bit, int start, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Find first bit set or clear in a string
    `RedisClient` | `bitposRange(java.lang.String key, int bit, int start, int stop, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Find first bit set or clear in a string
    `RedisClient` | `blpop(java.lang.String key, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Remove and get the first element in a list, or block until one is available
    `RedisClient` | `blpopMany(java.util.List<java.lang.String> keys, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Remove and get the first element in any of the lists, or block until one is available
    `RedisClient` | `brpop(java.lang.String key, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Remove and get the last element in a list, or block until one is available
    `RedisClient` | `brpopMany(java.util.List<java.lang.String> keys, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Remove and get the last element in any of the lists, or block until one is available
    `RedisClient` | `brpoplpush(java.lang.String key, java.lang.String destkey, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Pop a value from a list, push it to another list and return it; or block until one is available
    `RedisClient` | `clientGetname(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the current connection name
    `RedisClient` | `clientKill(java.util.Map<java.lang.String, java.lang.Object> filter = [:], io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Kill the connection of a client
    `RedisClient` | `clientList(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the list of client connections
    `RedisClient` | `clientPause(long millis, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Stop processing commands from clients for some time
    `RedisClient` | `clientSetname(java.lang.String name, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the current connection name
    `void` | `close(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Close the client - when it is fully closed the handler will be called.
    `RedisClient` | `clusterAddslots(java.util.List<java.lang.Long> slots, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Assign new hash slots to receiving node.
    `RedisClient` | `clusterCountFailureReports(java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Return the number of failure reports active for a given node.
    `RedisClient` | `clusterCountkeysinslot(long slot, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Return the number of local keys in the specified hash slot.
    `RedisClient` | `clusterDelslots(long slot, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Set hash slots as unbound in receiving node.
    `RedisClient` | `clusterDelslotsMany(java.util.List<java.lang.Long> slots, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Set hash slots as unbound in receiving node.
    `RedisClient` | `clusterFailOverWithOptions(io.vertx.redis.op.FailoverOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Forces a slave to perform a manual failover of its master.
    `RedisClient` | `clusterFailover(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Forces a slave to perform a manual failover of its master.
    `RedisClient` | `clusterForget(java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Remove a node from the nodes table.
    `RedisClient` | `clusterGetkeysinslot(long slot, long count, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Return local key names in the specified hash slot.
    `RedisClient` | `clusterInfo(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Provides info about Redis Cluster node state.
    `RedisClient` | `clusterKeyslot(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Returns the hash slot of the specified key.
    `RedisClient` | `clusterMeet(java.lang.String ip, long port, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Force a node cluster to handshake with another node.
    `RedisClient` | `clusterNodes(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Get Cluster config for the node.
    `RedisClient` | `clusterReplicate(java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Reconfigure a node as a slave of the specified master node.
    `RedisClient` | `clusterReset(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Reset a Redis Cluster node.
    `RedisClient` | `clusterResetWithOptions(io.vertx.redis.op.ResetOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Reset a Redis Cluster node.
    `RedisClient` | `clusterSaveconfig(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Forces the node to save cluster state on disk.
    `RedisClient` | `clusterSetConfigEpoch(long epoch, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Set the configuration epoch in a new node.
    `RedisClient` | `clusterSetslot(long slot, io.vertx.redis.op.SlotCmd subcommand, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Bind an hash slot to a specific node.
    `RedisClient` | `clusterSetslotWithNode(long slot, io.vertx.redis.op.SlotCmd subcommand, java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Bind an hash slot to a specific node.
    `RedisClient` | `clusterSlaves(java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` List slave nodes of the specified master node.
    `RedisClient` | `clusterSlots(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Get array of Cluster slot to node mappings
    `RedisClient` | `command(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Get array of Redis command details
    `RedisClient` | `commandCount(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Get total number of Redis commands
    `RedisClient` | `commandGetkeys(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Extract keys given a full Redis command
    `RedisClient` | `commandInfo(java.util.List<java.lang.String> commands, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Get array of specific Redis command details
    `RedisClient` | `configGet(java.lang.String parameter, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Get the value of a configuration parameter
    `RedisClient` | `configResetstat(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Reset the stats returned by INFO
    `RedisClient` | `configRewrite(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Rewrite the configuration file with the in memory configuration
    `RedisClient` | `configSet(java.lang.String parameter, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set a configuration parameter to the given value
    `static RedisClient` | `create(Vertx vertx)`
    `static RedisClient` | `create(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config)`
    `RedisClient` | `dbsize(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Return the number of keys in the selected database
    `RedisClient` | `debugObject(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get debugging information about a key
    `RedisClient` | `debugSegfault(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Make the server crash
    `RedisClient` | `decr(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Decrement the integer value of a key by one
    `RedisClient` | `decrby(java.lang.String key, long decrement, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Decrement the integer value of a key by the given number
    `RedisClient` | `del(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Delete a key
    `RedisClient` | `delMany(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Delete many keys
    `RedisClient` | `dump(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return a serialized version of the value stored at the specified key.
    `RedisClient` | `echo(java.lang.String message, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Echo the given string
    `RedisClient` | `eval(java.lang.String script, java.util.List<java.lang.String> keys, java.util.List<java.lang.String> args, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Execute a Lua script server side.
    `RedisClient` | `evalsha(java.lang.String sha1, java.util.List<java.lang.String> keys, java.util.List<java.lang.String> values, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Execute a Lua script server side.
    `RedisClient` | `exists(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Determine if a key exists
    `RedisClient` | `expire(java.lang.String key, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Set a key's time to live in seconds
    `RedisClient` | `expireat(java.lang.String key, long seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Set the expiration for a key as a UNIX timestamp
    `RedisClient` | `flushall(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove all keys from all databases
    `RedisClient` | `flushdb(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove all keys from the current database
    `RedisClient` | `geoadd(java.lang.String key, double longitude, double latitude, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Add one or more geospatial items in the geospatial index represented using a sorted set.
    `RedisClient` | `geoaddMany(java.lang.String key, java.util.List<java.util.Map<java.lang.String, java.lang.Object>> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Add one or more geospatial items in the geospatial index represented using a sorted set.
    `RedisClient` | `geodist(java.lang.String key, java.lang.String member1, java.lang.String member2, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return the distance between two members in the geospatial index represented by the sorted set.
    `RedisClient` | `geodistWithUnit(java.lang.String key, java.lang.String member1, java.lang.String member2, io.vertx.redis.op.GeoUnit unit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return the distance between two members in the geospatial index represented by the sorted set.
    `RedisClient` | `geohash(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
    `RedisClient` | `geohashMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).
    `RedisClient` | `geopos(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
    `RedisClient` | `geoposMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.
    `RedisClient` | `georadius(java.lang.String key, double longitude, double latitude, double radius, io.vertx.redis.op.GeoUnit unit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
    `RedisClient` | `georadiusWithOptions(java.lang.String key, double longitude, double latitude, double radius, io.vertx.redis.op.GeoUnit unit, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).
    `RedisClient` | `georadiusbymember(java.lang.String key, java.lang.String member, double radius, io.vertx.redis.op.GeoUnit unit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
    `RedisClient` | `georadiusbymemberWithOptions(java.lang.String key, java.lang.String member, double radius, io.vertx.redis.op.GeoUnit unit, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.
    `RedisClient` | `get(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the value of a key
    `RedisClient` | `getBinary(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<Buffer>> handler)` Get the value of a key - without decoding as utf-8
    `java.lang.Object` | `getDelegate()`
    `RedisClient` | `getbit(java.lang.String key, long offset, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Returns the bit value at offset in the string value stored at key
    `RedisClient` | `getrange(java.lang.String key, long start, long end, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get a substring of the string stored at a key
    `RedisClient` | `getset(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the string value of a key and return its old value
    `RedisClient` | `hdel(java.lang.String key, java.lang.String field, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Delete one or more hash fields
    `RedisClient` | `hdelMany(java.lang.String key, java.util.List<java.lang.String> fields, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Delete one or more hash fields
    `RedisClient` | `hexists(java.lang.String key, java.lang.String field, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Determine if a hash field exists
    `RedisClient` | `hget(java.lang.String key, java.lang.String field, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the value of a hash field
    `RedisClient` | `hgetall(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, java.lang.Object>>> handler)` Get all the fields and values in a hash
    `RedisClient` | `hincrby(java.lang.String key, java.lang.String field, long increment, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Increment the integer value of a hash field by the given number
    `RedisClient` | `hincrbyfloat(java.lang.String key, java.lang.String field, double increment, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Increment the float value of a hash field by the given amount
    `RedisClient` | `hkeys(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Get all the fields in a hash
    `RedisClient` | `hlen(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Get the number of fields in a hash
    `RedisClient` | `hmget(java.lang.String key, java.util.List<java.lang.String> fields, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Get the values of all the given hash fields
    `RedisClient` | `hmset(java.lang.String key, java.util.Map<java.lang.String, java.lang.Object> values, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set multiple hash fields to multiple values
    `RedisClient` | `hscan(java.lang.String key, java.lang.String cursor, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Incrementally iterate hash fields and associated values
    `RedisClient` | `hset(java.lang.String key, java.lang.String field, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Set the string value of a hash field
    `RedisClient` | `hsetnx(java.lang.String key, java.lang.String field, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Set the value of a hash field, only if the field does not exist
    `RedisClient` | `hvals(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Get all the values in a hash
    `RedisClient` | `incr(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Increment the integer value of a key by one
    `RedisClient` | `incrby(java.lang.String key, long increment, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Increment the integer value of a key by the given amount
    `RedisClient` | `incrbyfloat(java.lang.String key, double increment, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Increment the float value of a key by the given amount
    `RedisClient` | `info(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, java.lang.Object>>> handler)` Get information and statistics about the server
    `RedisClient` | `infoSection(java.lang.String section, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, java.lang.Object>>> handler)` Get information and statistics about the server
    `RedisClient` | `keys(java.lang.String pattern, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Find all keys matching the given pattern
    `RedisClient` | `lastsave(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Get the UNIX time stamp of the last successful save to disk
    `RedisClient` | `lindex(java.lang.String key, int index, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get an element from a list by its index
    `RedisClient` | `linsert(java.lang.String key, io.vertx.redis.op.InsertOptions option, java.lang.String pivot, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Insert an element before or after another element in a list
    `RedisClient` | `llen(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Get the length of a list
    `RedisClient` | `lpop(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove and get the first element in a list
    `RedisClient` | `lpush(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Prepend one value to a list
    `RedisClient` | `lpushMany(java.lang.String key, java.util.List<java.lang.String> values, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Prepend one or multiple values to a list
    `RedisClient` | `lpushx(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Prepend a value to a list, only if the list exists
    `RedisClient` | `lrange(java.lang.String key, long from, long to, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Get a range of elements from a list
    `RedisClient` | `lrem(java.lang.String key, long count, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Remove elements from a list
    `RedisClient` | `lset(java.lang.String key, long index, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the value of an element in a list by its index
    `RedisClient` | `ltrim(java.lang.String key, long from, long to, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Trim a list to the specified range
    `RedisClient` | `mget(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Get the value of the given key
    `RedisClient` | `mgetMany(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Get the values of all the given keys
    `RedisClient` | `migrate(java.lang.String host, int port, java.lang.String key, int destdb, long timeout, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Atomically transfer a key from a Redis instance to another one.
    `RedisClient` | `monitor(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Listen for all requests received by the server in real time
    `RedisClient` | `move(java.lang.String key, int destdb, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Move a key to another database
    `RedisClient` | `mset(java.util.Map<java.lang.String, java.lang.Object> keyvals, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set multiple keys to multiple values
    `RedisClient` | `msetnx(java.util.Map<java.lang.String, java.lang.Object> keyvals, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Set multiple keys to multiple values, only if none of the keys exist
    `RedisClient` | `object(java.lang.String key, io.vertx.redis.op.ObjectCmd cmd, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Inspect the internals of Redis objects
    `RedisClient` | `persist(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Remove the expiration from a key
    `RedisClient` | `pexpire(java.lang.String key, long millis, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Set a key's time to live in milliseconds
    `RedisClient` | `pexpireat(java.lang.String key, long millis, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Set the expiration for a key as a UNIX timestamp specified in milliseconds
    `RedisClient` | `pfadd(java.lang.String key, java.lang.String element, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Adds the specified element to the specified HyperLogLog.
    `RedisClient` | `pfaddMany(java.lang.String key, java.util.List<java.lang.String> elements, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Adds the specified elements to the specified HyperLogLog.
    `RedisClient` | `pfcount(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Return the approximated cardinality of the set observed by the HyperLogLog at key.
    `RedisClient` | `pfcountMany(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).
    `RedisClient` | `pfmerge(java.lang.String destkey, java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Merge N different HyperLogLogs into a single one.
    `RedisClient` | `ping(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Ping the server
    `RedisClient` | `psetex(java.lang.String key, long millis, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Set the value and expiration in milliseconds of a key
    `RedisClient` | `psubscribe(java.lang.String pattern, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Listen for messages published to channels matching the given pattern
    `RedisClient` | `psubscribeMany(java.util.List<java.lang.String> patterns, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Listen for messages published to channels matching the given patterns
    `RedisClient` | `pttl(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Get the time to live for a key in milliseconds
    `RedisClient` | `publish(java.lang.String channel, java.lang.String message, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Post a message to a channel
    `RedisClient` | `pubsubChannels(java.lang.String pattern, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Lists the currently active channels - only those matching the pattern
    `RedisClient` | `pubsubNumpat(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Returns the number of subscriptions to patterns (that are performed using the PSUBSCRIBE command)
    `RedisClient` | `pubsubNumsub(java.util.List<java.lang.String> channels, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Returns the number of subscribers (not counting clients subscribed to patterns) for the specified channels
    `RedisClient` | `punsubscribe(java.util.List<java.lang.String> patterns, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Stop listening for messages posted to channels matching the given patterns
    `RedisClient` | `randomkey(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Return a random key from the keyspace
    `RedisClient` | `rename(java.lang.String key, java.lang.String newkey, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Rename a key
    `RedisClient` | `renamenx(java.lang.String key, java.lang.String newkey, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Rename a key, only if the new key does not exist
    `RedisClient` | `restore(java.lang.String key, long millis, java.lang.String serialized, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Create a key using the provided serialized value, previously obtained using DUMP.
    `RedisClient` | `role(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Return the role of the instance in the context of replication
    `RedisClient` | `rpop(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove and get the last element in a list
    `RedisClient` | `rpoplpush(java.lang.String key, java.lang.String destkey, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove the last element in a list, append it to another list and return it
    `RedisClient` | `rpush(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Append one or multiple values to a list
    `RedisClient` | `rpushMany(java.lang.String key, java.util.List<java.lang.String> values, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Append one or multiple values to a list
    `RedisClient` | `rpushx(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Append a value to a list, only if the list exists
    `RedisClient` | `sadd(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Add a member to a set
    `RedisClient` | `saddMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Add one or more members to a set
    `RedisClient` | `save(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Synchronously save the dataset to disk
    `RedisClient` | `scan(java.lang.String cursor, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Incrementally iterate the keys space
    `RedisClient` | `scard(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Get the number of members in a set
    `RedisClient` | `scriptExists(java.lang.String script, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Check existence of script in the script cache.
    `RedisClient` | `scriptExistsMany(java.util.List<java.lang.String> scripts, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Check existence of scripts in the script cache.
    `RedisClient` | `scriptFlush(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove all the scripts from the script cache.
    `RedisClient` | `scriptKill(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Kill the script currently in execution.
    `RedisClient` | `scriptLoad(java.lang.String script, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Load the specified Lua script into the script cache.
    `RedisClient` | `sdiff(java.lang.String key, java.util.List<java.lang.String> cmpkeys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Subtract multiple sets
    `RedisClient` | `sdiffstore(java.lang.String destkey, java.lang.String key, java.util.List<java.lang.String> cmpkeys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Subtract multiple sets and store the resulting set in a key
    `RedisClient` | `select(int dbindex, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Change the selected database for the current connection
    `RedisClient` | `set(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Set the string value of a key
    `RedisClient` | `setBinary(java.lang.String key, Buffer value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Set the binary string value of a key - without encoding as utf-8
    `RedisClient` | `setBinaryWithOptions(java.lang.String key, Buffer value, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Set the string value of a key
    `RedisClient` | `setWithOptions(java.lang.String key, java.lang.String value, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the string value of a key
    `RedisClient` | `setbit(java.lang.String key, long offset, int bit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Sets or clears the bit at offset in the string value stored at key
    `RedisClient` | `setex(java.lang.String key, long seconds, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Set the value and expiration of a key
    `RedisClient` | `setnx(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Set the value of a key, only if the key does not exist
    `RedisClient` | `setrange(java.lang.String key, int offset, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Overwrite part of a string at key starting at the specified offset
    `RedisClient` | `sinter(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Intersect multiple sets
    `RedisClient` | `sinterstore(java.lang.String destkey, java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Intersect multiple sets and store the resulting set in a key
    `RedisClient` | `sismember(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Determine if a given value is a member of a set
    `RedisClient` | `slaveof(java.lang.String host, int port, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Make the server a slave of another instance
    `RedisClient` | `slaveofNoone(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Make this server a master
    `RedisClient` | `slowlogGet(int limit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Read the Redis slow queries log
    `RedisClient` | `slowlogLen(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Get the length of the Redis slow queries log
    `RedisClient` | `slowlogReset(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Reset the Redis slow queries log
    `RedisClient` | `smembers(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Get all the members in a set
    `RedisClient` | `smove(java.lang.String key, java.lang.String destkey, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Move a member from one set to another
    `RedisClient` | `sort(java.lang.String key, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Sort the elements in a list, set or sorted set
    `RedisClient` | `spop(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Remove and return a random member from a set
    `RedisClient` | `spopMany(java.lang.String key, int count, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Remove and return random members from a set
    `RedisClient` | `srandmember(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get one or multiple random members from a set
    `RedisClient` | `srandmemberCount(java.lang.String key, int count, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Get one or multiple random members from a set
    `RedisClient` | `srem(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Remove one member from a set
    `RedisClient` | `sremMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Remove one or more members from a set
    `RedisClient` | `sscan(java.lang.String key, java.lang.String cursor, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Incrementally iterate Set elements
    `RedisClient` | `strlen(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Get the length of the value stored in a key
    `RedisClient` | `subscribe(java.lang.String channel, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Listen for messages published to the given channels
    `RedisClient` | `subscribeMany(java.util.List<java.lang.String> channels, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Listen for messages published to the given channels
    `RedisClient` | `sunion(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Add multiple sets
    `RedisClient` | `sunionstore(java.lang.String destkey, java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Add multiple sets and store the resulting set in a key
    `RedisClient` | `sync(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Internal command used for replication
    `RedisClient` | `time(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Return the current server time
    `RedisTransaction` | `transaction()` Return a RedisTransaction instance
    `RedisClient` | `ttl(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Get the time to live for a key
    `RedisClient` | `type(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Determine the type stored at key
    `RedisClient` | `unsubscribe(java.util.List<java.lang.String> channels, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)` Stop listening for messages posted to the given channels
    `RedisClient` | `wait(long numSlaves, long timeout, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Wait for the synchronous replication of all the write commands sent in the context of the current connection.
    `RedisClient` | `zadd(java.lang.String key, double score, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Add one or more members to a sorted set, or update its score if it already exists
    `RedisClient` | `zaddMany(java.lang.String key, java.util.Map<java.lang.String, java.lang.Double> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Add one or more members to a sorted set, or update its score if it already exists
    `RedisClient` | `zcard(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Get the number of members in a sorted set
    `RedisClient` | `zcount(java.lang.String key, double min, double max, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Count the members in a sorted set with scores within the given values
    `RedisClient` | `zincrby(java.lang.String key, double increment, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Increment the score of a member in a sorted set
    `RedisClient` | `zinterstore(java.lang.String destkey, java.util.List<java.lang.String> sets, io.vertx.redis.op.AggregateOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Intersect multiple sorted sets and store the resulting sorted set in a new key
    `RedisClient` | `zinterstoreWeighed(java.lang.String destkey, java.util.Map<java.lang.String, java.lang.Double> sets, io.vertx.redis.op.AggregateOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Intersect multiple sorted sets and store the resulting sorted set in a new key using weights for scoring
    `RedisClient` | `zlexcount(java.lang.String key, java.lang.String min, java.lang.String max, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Count the number of members in a sorted set between a given lexicographical range
    `RedisClient` | `zrange(java.lang.String key, long start, long stop, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Return a range of members in a sorted set, by index
    `RedisClient` | `zrangeWithOptions(java.lang.String key, long start, long stop, io.vertx.redis.op.RangeOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Return a range of members in a sorted set, by index
    `RedisClient` | `zrangebylex(java.lang.String key, java.lang.String min, java.lang.String max, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Return a range of members in a sorted set, by lexicographical range
    `RedisClient` | `zrangebyscore(java.lang.String key, java.lang.String min, java.lang.String max, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Return a range of members in a sorted set, by score
    `RedisClient` | `zrank(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Determine the index of a member in a sorted set
    `RedisClient` | `zrem(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Remove one member from a sorted set
    `RedisClient` | `zremMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Remove one or more members from a sorted set
    `RedisClient` | `zremrangebylex(java.lang.String key, java.lang.String min, java.lang.String max, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Remove all members in a sorted set between the given lexicographical range
    `RedisClient` | `zremrangebyrank(java.lang.String key, long start, long stop, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Remove all members in a sorted set within the given indexes
    `RedisClient` | `zremrangebyscore(java.lang.String key, java.lang.String min, java.lang.String max, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Remove all members in a sorted set within the given scores
    `RedisClient` | `zrevrange(java.lang.String key, long start, long stop, io.vertx.redis.op.RangeOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Return a range of members in a sorted set, by index, with scores ordered from high to low
    `RedisClient` | `zrevrangebylex(java.lang.String key, java.lang.String max, java.lang.String min, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Return a range of members in a sorted set, by score, between the given lexicographical range with scores ordered from high to low
    `RedisClient` | `zrevrangebyscore(java.lang.String key, java.lang.String max, java.lang.String min, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Return a range of members in a sorted set, by score, with scores ordered from high to low
    `RedisClient` | `zrevrank(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Determine the index of a member in a sorted set, with scores ordered from high to low
    `RedisClient` | `zscan(java.lang.String key, java.lang.String cursor, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)` Incrementally iterate sorted sets elements and associated scores
    `RedisClient` | `zscore(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)` Get the score associated with the given member in a sorted set
    `RedisClient` | `zunionstore(java.lang.String destkey, java.util.List<java.lang.String> sets, io.vertx.redis.op.AggregateOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Add multiple sorted sets and store the resulting sorted set in a new key
    `RedisClient` | `zunionstoreWeighed(java.lang.String key, java.util.Map<java.lang.String, java.lang.Double> sets, io.vertx.redis.op.AggregateOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)` Add multiple sorted sets using weights, and store the resulting sorted set in a new key

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### RedisClient(java.lang.Object delegate)

  - ### Method Detail

    - #### RedisClient append(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Append a value to a key

      Returns:
      Parameters:
        `key` - Key string
        `value` - Value to append
        `handler` - Handler for the result of this call.

    - #### RedisClient auth(java.lang.String password, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Authenticate to the server

      Returns:
      Parameters:
        `password` - Password for authentication
        `handler` - Handler for the result of this call.

    - #### RedisClient bgrewriteaof(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Asynchronously rewrite the append-only file

      Returns:
      Parameters:
        handler

    - #### RedisClient bgsave(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Asynchronously save the dataset to disk

      Returns:
      Parameters:
        handler

    - #### RedisClient bitcount(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Count set bits in a string

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient bitcountRange(java.lang.String key, long start, long end, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Count set bits in a string

      Returns:
      Parameters:
        `key` - Key string
        `start` - Start index
        `end` - End index
        `handler` - Handler for the result of this call.

    - #### RedisClient bitop(io.vertx.redis.op.BitOperation operation, java.lang.String destkey, java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Perform bitwise operations between strings

      Returns:
      Parameters:
        `operation` - Bitwise operation to perform
        `destkey` - Destination key where result is stored
        `keys` - List of keys on which to perform the operation
        `handler` - Handler for the result of this call.

    - #### RedisClient bitpos(java.lang.String key, int bit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Find first bit set or clear in a string

      Returns:
      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
        `handler` - Handler for the result of this call.

    - #### RedisClient bitposFrom(java.lang.String key, int bit, int start, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Find first bit set or clear in a string See also bitposRange() method, which takes start, and stop offset.

      Returns:
      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
        `start` - Start offset
        `handler` - Handler for the result of this call.

    - #### RedisClient bitposRange(java.lang.String key, int bit, int start, int stop, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Find first bit set or clear in a string Note: when both start, and stop offsets are specified, behaviour is slightly different than if only start is specified

      Returns:
      Parameters:
        `key` - Key string
        `bit` - What bit value to look for - must be 1, or 0
        `start` - Start offset
        `stop` - End offset - inclusive
        `handler` - Handler for the result of this call.

    - #### RedisClient blpop(java.lang.String key, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Remove and get the first element in a list, or block until one is available

      Returns:
      Parameters:
        `key` - Key string identifying a list to watch
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.

    - #### RedisClient blpopMany(java.util.List<java.lang.String> keys, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Remove and get the first element in any of the lists, or block until one is available

      Returns:
      Parameters:
        `keys` - List of key strings identifying lists to watch
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.

    - #### RedisClient brpop(java.lang.String key, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Remove and get the last element in a list, or block until one is available

      Returns:
      Parameters:
        `key` - Key string identifying a list to watch
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.

    - #### RedisClient brpopMany(java.util.List<java.lang.String> keys, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Remove and get the last element in any of the lists, or block until one is available

      Returns:
      Parameters:
        `keys` - List of key strings identifying lists to watch
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.

    - #### RedisClient brpoplpush(java.lang.String key, java.lang.String destkey, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Pop a value from a list, push it to another list and return it; or block until one is available

      Returns:
      Parameters:
        `key` - Key string identifying the source list
        `destkey` - Key string identifying the destination list
        `seconds` - Timeout in seconds
        `handler` - Handler for the result of this call.

    - #### RedisClient clientGetname(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the current connection name

      Returns:
      Parameters:
        handler

    - #### RedisClient clientKill(java.util.Map<java.lang.String, java.lang.Object> filter = [:], io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Kill the connection of a client

      Returns:
      Parameters:
        `filter` - Filter options (see KillFilter)
        `handler` - Handler for the result of this call.

    - #### RedisClient clientList(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the list of client connections

      Returns:
      Parameters:
        handler

    - #### RedisClient clientPause(long millis, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Stop processing commands from clients for some time

      Returns:
      Parameters:
        `millis` - Pause time in milliseconds
        `handler` - Handler for the result of this call.

    - #### RedisClient clientSetname(java.lang.String name, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the current connection name

      Returns:
      Parameters:
        `name` - New name for current connection
        `handler` - Handler for the result of this call.

    - #### void close(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Close the client - when it is fully closed the handler will be called.

      Parameters:
        handler

    - #### RedisClient clusterAddslots(java.util.List<java.lang.Long> slots, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Assign new hash slots to receiving node.

      Returns:
      Parameters:
        slots
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterCountFailureReports(java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Return the number of failure reports active for a given node.

      Returns:
      Parameters:
        nodeId
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterCountkeysinslot(long slot, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Return the number of local keys in the specified hash slot.

      Returns:
      Parameters:
        slot
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterDelslots(long slot, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Set hash slots as unbound in receiving node.

      Returns:
      Parameters:
        slot
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterDelslotsMany(java.util.List<java.lang.Long> slots, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Set hash slots as unbound in receiving node.

      Returns:
      Parameters:
        slots
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterFailOverWithOptions(io.vertx.redis.op.FailoverOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Forces a slave to perform a manual failover of its master.

      Returns:
      Parameters:
        options
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterFailover(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Forces a slave to perform a manual failover of its master.

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterForget(java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Remove a node from the nodes table.

      Returns:
      Parameters:
        nodeId
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterGetkeysinslot(long slot, long count, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Return local key names in the specified hash slot.

      Returns:
      Parameters:
        slot
        count
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterInfo(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Provides info about Redis Cluster node state.

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterKeyslot(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Returns the hash slot of the specified key.

      Returns:
      Parameters:
        key
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterMeet(java.lang.String ip, long port, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Force a node cluster to handshake with another node.

      Returns:
      Parameters:
        ip
        port
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterNodes(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Get Cluster config for the node.

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterReplicate(java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Reconfigure a node as a slave of the specified master node.

      Returns:
      Parameters:
        nodeId
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterReset(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Reset a Redis Cluster node.

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterResetWithOptions(io.vertx.redis.op.ResetOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Reset a Redis Cluster node.

      Returns:
      Parameters:
        options
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterSaveconfig(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Forces the node to save cluster state on disk.

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterSetConfigEpoch(long epoch, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Set the configuration epoch in a new node.

      Returns:
      Parameters:
        epoch
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterSetslot(long slot, io.vertx.redis.op.SlotCmd subcommand, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Bind an hash slot to a specific node.

      Returns:
      Parameters:
        slot
        subcommand
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterSetslotWithNode(long slot, io.vertx.redis.op.SlotCmd subcommand, java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Bind an hash slot to a specific node.

      Returns:
      Parameters:
        slot
        subcommand
        nodeId
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterSlaves(java.lang.String nodeId, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      List slave nodes of the specified master node.

      Returns:
      Parameters:
        nodeId
        `handler` - Handler for the result of this call.

    - #### RedisClient clusterSlots(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Get array of Cluster slot to node mappings

      Returns:
      Parameters:
        handler

    - #### RedisClient command(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Get array of Redis command details

      Returns:
      Parameters:
        handler

    - #### RedisClient commandCount(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Get total number of Redis commands

      Returns:
      Parameters:
        handler

    - #### RedisClient commandGetkeys(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Extract keys given a full Redis command

      Returns:
      Parameters:
        handler

    - #### RedisClient commandInfo(java.util.List<java.lang.String> commands, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Get array of specific Redis command details

      Returns:
      Parameters:
        `commands` - List of commands to get info for
        `handler` - Handler for the result of this call.

    - #### RedisClient configGet(java.lang.String parameter, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Get the value of a configuration parameter

      Returns:
      Parameters:
        `parameter` - Configuration parameter
        `handler` - Handler for the result of this call.

    - #### RedisClient configResetstat(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Reset the stats returned by INFO

      Returns:
      Parameters:
        handler

    - #### RedisClient configRewrite(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Rewrite the configuration file with the in memory configuration

      Returns:
      Parameters:
        handler

    - #### RedisClient configSet(java.lang.String parameter, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set a configuration parameter to the given value

      Returns:
      Parameters:
        `parameter` - Configuration parameter
        `value` - New value
        `handler` - Handler for the result of this call.

    - #### static RedisClient create(Vertx vertx)

    - #### static RedisClient create(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> config)

    - #### RedisClient dbsize(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Return the number of keys in the selected database

      Returns:
      Parameters:
        handler

    - #### RedisClient debugObject(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get debugging information about a key

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient debugSegfault(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Make the server crash

      Returns:
      Parameters:
        handler

    - #### RedisClient decr(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Decrement the integer value of a key by one

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient decrby(java.lang.String key, long decrement, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Decrement the integer value of a key by the given number

      Returns:
      Parameters:
        `key` - Key string
        `decrement` - Value by which to decrement
        `handler` - Handler for the result of this call.

    - #### RedisClient del(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Delete a key

      Returns:
      Parameters:
        `key` - Keys to delete
        `handler` - Handler for the result of this call.

    - #### RedisClient delMany(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Delete many keys

      Returns:
      Parameters:
        `keys` - List of keys to delete
        `handler` - Handler for the result of this call.

    - #### RedisClient dump(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return a serialized version of the value stored at the specified key.

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient echo(java.lang.String message, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Echo the given string

      Returns:
      Parameters:
        `message` - String to echo
        `handler` - Handler for the result of this call.

    - #### RedisClient eval(java.lang.String script, java.util.List<java.lang.String> keys, java.util.List<java.lang.String> args, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Execute a Lua script server side. Due to the dynamic nature of this command any response type could be returned for This reason and to ensure type safety the reply is always guaranteed to be a JsonArray. When a reply if for example a String the handler will be called with a JsonArray with a single element containing the String.

      Returns:
      Parameters:
        `script` - Lua script to evaluate
        `keys` - List of keys
        `args` - List of argument values
        `handler` - Handler for the result of this call.

    - #### RedisClient evalsha(java.lang.String sha1, java.util.List<java.lang.String> keys, java.util.List<java.lang.String> values, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Execute a Lua script server side. Due to the dynamic nature of this command any response type could be returned for This reason and to ensure type safety the reply is always guaranteed to be a JsonArray. When a reply if for example a String the handler will be called with a JsonArray with a single element containing the String.

      Returns:
      Parameters:
        `sha1` - SHA1 digest of the script cached on the server
        `keys` - List of keys
        `values` - List of values
        `handler` - Handler for the result of this call.

    - #### RedisClient exists(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Determine if a key exists

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient expire(java.lang.String key, int seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Set a key's time to live in seconds

      Returns:
      Parameters:
        `key` - Key string
        `seconds` - Time to live in seconds
        `handler` - Handler for the result of this call.

    - #### RedisClient expireat(java.lang.String key, long seconds, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Set the expiration for a key as a UNIX timestamp

      Returns:
      Parameters:
        `key` - Key string
        `seconds` - Expiry time as Unix timestamp in seconds
        `handler` - Handler for the result of this call.

    - #### RedisClient flushall(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove all keys from all databases

      Returns:
      Parameters:
        handler

    - #### RedisClient flushdb(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove all keys from the current database

      Returns:
      Parameters:
        handler

    - #### RedisClient geoadd(java.lang.String key, double longitude, double latitude, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Add one or more geospatial items in the geospatial index represented using a sorted set.

      Returns:
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `member` - member
        `handler` - Handler for the result of this call.

    - #### RedisClient geoaddMany(java.lang.String key, java.util.List<java.util.Map<java.lang.String, java.lang.Object>> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Add one or more geospatial items in the geospatial index represented using a sorted set.

      Returns:
      Parameters:
        `key` - Key string
        `members` - list of <lon, lat, member>
        `handler` - Handler for the result of this call.

    - #### RedisClient geodist(java.lang.String key, java.lang.String member1, java.lang.String member2, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return the distance between two members in the geospatial index represented by the sorted set.

      Returns:
      Parameters:
        `key` - Key string
        `member1` - member 1
        `member2` - member 2
        `handler` - Handler for the result of this call.

    - #### RedisClient geodistWithUnit(java.lang.String key, java.lang.String member1, java.lang.String member2, io.vertx.redis.op.GeoUnit unit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return the distance between two members in the geospatial index represented by the sorted set.

      Returns:
      Parameters:
        `key` - Key string
        `member1` - member 1
        `member2` - member 2
        `unit` - geo unit
        `handler` - Handler for the result of this call.

    - #### RedisClient geohash(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).

      Returns:
      Parameters:
        `key` - Key string
        `member` - member
        `handler` - Handler for the result of this call.

    - #### RedisClient geohashMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Return valid Geohash strings representing the position of one or more elements in a sorted set value representing a geospatial index (where elements were added using GEOADD).

      Returns:
      Parameters:
        `key` - Key string
        `members` - list of members
        `handler` - Handler for the result of this call.

    - #### RedisClient geopos(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.

      Returns:
      Parameters:
        `key` - Key string
        `member` - member
        `handler` - Handler for the result of this call.

    - #### RedisClient geoposMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Return the positions (longitude,latitude) of all the specified members of the geospatial index represented by the sorted set at key.

      Returns:
      Parameters:
        `key` - Key string
        `members` - list of members
        `handler` - Handler for the result of this call.

    - #### RedisClient georadius(java.lang.String key, double longitude, double latitude, double radius, io.vertx.redis.op.GeoUnit unit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).

      Returns:
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `radius` - radius
        `unit` - geo unit
        `handler` - Handler for the result of this call.

    - #### RedisClient georadiusWithOptions(java.lang.String key, double longitude, double latitude, double radius, io.vertx.redis.op.GeoUnit unit, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Return the members of a sorted set populated with geospatial information using GEOADD, which are within the borders of the area specified with the center location and the maximum distance from the center (the radius).

      Returns:
      Parameters:
        `key` - Key string
        `longitude` - longitude
        `latitude` - latitude
        `radius` - radius
        `unit` - geo unit
        `options` - geo radius options (see GeoRadiusOptions)
        `handler` - Handler for the result of this call.

    - #### RedisClient georadiusbymember(java.lang.String key, java.lang.String member, double radius, io.vertx.redis.op.GeoUnit unit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.

      Returns:
      Parameters:
        `key` - Key string
        `member` - member
        `radius` - radius
        `unit` - geo unit
        `handler` - Handler for the result of this call.

    - #### RedisClient georadiusbymemberWithOptions(java.lang.String key, java.lang.String member, double radius, io.vertx.redis.op.GeoUnit unit, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      This command is exactly like GEORADIUS with the sole difference that instead of taking, as the center of the area to query, a longitude and latitude value, it takes the name of a member already existing inside the geospatial index represented by the sorted set.

      Returns:
      Parameters:
        `key` - Key string
        `member` - member
        `radius` - radius
        `unit` - geo unit
        `options` - geo radius options (see GeoRadiusOptions)
        `handler` - Handler for the result of this call.

    - #### RedisClient get(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the value of a key

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient getBinary(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<Buffer>> handler)

      Get the value of a key - without decoding as utf-8

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### java.lang.Object getDelegate()

    - #### RedisClient getbit(java.lang.String key, long offset, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Returns the bit value at offset in the string value stored at key

      Returns:
      Parameters:
        `key` - Key string
        `offset` - Offset in bits
        `handler` - Handler for the result of this call.

    - #### RedisClient getrange(java.lang.String key, long start, long end, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get a substring of the string stored at a key

      Returns:
      Parameters:
        `key` - Key string
        `start` - Start offset
        `end` - End offset - inclusive
        `handler` - Handler for the result of this call.

    - #### RedisClient getset(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the string value of a key and return its old value

      Returns:
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `handler` - Handler for the result of this call.

    - #### RedisClient hdel(java.lang.String key, java.lang.String field, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Delete one or more hash fields

      Returns:
      Parameters:
        `key` - Key string
        `field` - Field name
        `handler` - Handler for the result of this call.

    - #### RedisClient hdelMany(java.lang.String key, java.util.List<java.lang.String> fields, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Delete one or more hash fields

      Returns:
      Parameters:
        `key` - Key string
        `fields` - Field names
        `handler` - Handler for the result of this call.

    - #### RedisClient hexists(java.lang.String key, java.lang.String field, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Determine if a hash field exists

      Returns:
      Parameters:
        `key` - Key string
        `field` - Field name
        `handler` - Handler for the result of this call.

    - #### RedisClient hget(java.lang.String key, java.lang.String field, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the value of a hash field

      Returns:
      Parameters:
        `key` - Key string
        `field` - Field name
        `handler` - Handler for the result of this call.

    - #### RedisClient hgetall(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, java.lang.Object>>> handler)

      Get all the fields and values in a hash

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient hincrby(java.lang.String key, java.lang.String field, long increment, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Increment the integer value of a hash field by the given number

      Returns:
      Parameters:
        `key` - Key string
        `field` - Field name
        `increment` - Value by which to increment
        `handler` - Handler for the result of this call.

    - #### RedisClient hincrbyfloat(java.lang.String key, java.lang.String field, double increment, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Increment the float value of a hash field by the given amount

      Returns:
      Parameters:
        `key` - Key string
        `field` - Field name
        `increment` - Value by which to increment
        `handler` - Handler for the result of this call.

    - #### RedisClient hkeys(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Get all the fields in a hash

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient hlen(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Get the number of fields in a hash

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient hmget(java.lang.String key, java.util.List<java.lang.String> fields, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Get the values of all the given hash fields

      Returns:
      Parameters:
        `key` - Key string
        `fields` - Field names
        `handler` - Handler for the result of this call.

    - #### RedisClient hmset(java.lang.String key, java.util.Map<java.lang.String, java.lang.Object> values, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set multiple hash fields to multiple values

      Returns:
      Parameters:
        `key` - Key string
        `values` - Map of field:value pairs
        `handler` - Handler for the result of this call.

    - #### RedisClient hscan(java.lang.String key, java.lang.String cursor, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Incrementally iterate hash fields and associated values

      Returns:
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options (see ScanOptions)
        `handler` - Handler for the result of this call.

    - #### RedisClient hset(java.lang.String key, java.lang.String field, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Set the string value of a hash field

      Returns:
      Parameters:
        `key` - Key string
        `field` - Field name
        `value` - New value
        `handler` - Handler for the result of this call.

    - #### RedisClient hsetnx(java.lang.String key, java.lang.String field, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Set the value of a hash field, only if the field does not exist

      Returns:
      Parameters:
        `key` - Key string
        `field` - Field name
        `value` - New value
        `handler` - Handler for the result of this call.

    - #### RedisClient hvals(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Get all the values in a hash

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient incr(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Increment the integer value of a key by one

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient incrby(java.lang.String key, long increment, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Increment the integer value of a key by the given amount

      Returns:
      Parameters:
        `key` - Key string
        `increment` - Value by which to increment
        `handler` - Handler for the result of this call.

    - #### RedisClient incrbyfloat(java.lang.String key, double increment, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Increment the float value of a key by the given amount

      Returns:
      Parameters:
        `key` - Key string
        `increment` - Value by which to increment
        `handler` - Handler for the result of this call.

    - #### RedisClient info(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, java.lang.Object>>> handler)

      Get information and statistics about the server

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisClient infoSection(java.lang.String section, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.Map<java.lang.String, java.lang.Object>>> handler)

      Get information and statistics about the server

      Returns:
      Parameters:
        `section` - Specific section of information to return
        `handler` - Handler for the result of this call.

    - #### RedisClient keys(java.lang.String pattern, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Find all keys matching the given pattern

      Returns:
      Parameters:
        `pattern` - Pattern to limit the keys returned
        `handler` - Handler for the result of this call.

    - #### RedisClient lastsave(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Get the UNIX time stamp of the last successful save to disk

      Returns:
      Parameters:
        handler

    - #### RedisClient lindex(java.lang.String key, int index, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get an element from a list by its index

      Returns:
      Parameters:
        `key` - Key string
        `index` - Index of list element to get
        `handler` - Handler for the result of this call.

    - #### RedisClient linsert(java.lang.String key, io.vertx.redis.op.InsertOptions option, java.lang.String pivot, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Insert an element before or after another element in a list

      Returns:
      Parameters:
        `key` - Key string
        `option` - BEFORE or AFTER
        `pivot` - Key to use as a pivot
        `value` - Value to be inserted before or after the pivot
        `handler` - Handler for the result of this call.

    - #### RedisClient llen(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Get the length of a list

      Returns:
      Parameters:
        `key` - String key
        `handler` - Handler for the result of this call.

    - #### RedisClient lpop(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove and get the first element in a list

      Returns:
      Parameters:
        `key` - String key
        `handler` - Handler for the result of this call.

    - #### RedisClient lpush(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Prepend one value to a list

      Returns:
      Parameters:
        `key` - Key string
        `value` - Value to be added at the beginning of the list
        `handler` - Handler for the result of this call.

    - #### RedisClient lpushMany(java.lang.String key, java.util.List<java.lang.String> values, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Prepend one or multiple values to a list

      Returns:
      Parameters:
        `key` - Key string
        `values` - Values to be added at the beginning of the list, one by one
        `handler` - Handler for the result of this call.

    - #### RedisClient lpushx(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Prepend a value to a list, only if the list exists

      Returns:
      Parameters:
        `key` - Key string
        `value` - Value to add at the beginning of the list
        `handler` - Handler for the result of this call.

    - #### RedisClient lrange(java.lang.String key, long from, long to, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Get a range of elements from a list

      Returns:
      Parameters:
        `key` - Key string
        `from` - Start index
        `to` - Stop index
        `handler` - Handler for the result of this call.

    - #### RedisClient lrem(java.lang.String key, long count, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Remove elements from a list

      Returns:
      Parameters:
        `key` - Key string
        `count` - Number of first found occurrences equal to \$value to remove from the list
        `value` - Value to be removed
        `handler` - Handler for the result of this call.

    - #### RedisClient lset(java.lang.String key, long index, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the value of an element in a list by its index

      Returns:
      Parameters:
        `key` - Key string
        `index` - Position within list
        `value` - New value
        `handler` - Handler for the result of this call.

    - #### RedisClient ltrim(java.lang.String key, long from, long to, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Trim a list to the specified range

      Returns:
      Parameters:
        `key` - Key string
        `from` - Start index
        `to` - Stop index
        `handler` - Handler for the result of this call.

    - #### RedisClient mget(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Get the value of the given key

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient mgetMany(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Get the values of all the given keys

      Returns:
      Parameters:
        `keys` - List of keys to get
        `handler` - Handler for the result of this call.

    - #### RedisClient migrate(java.lang.String host, int port, java.lang.String key, int destdb, long timeout, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Atomically transfer a key from a Redis instance to another one.

      Returns:
      Parameters:
        `host` - Destination host
        `port` - Destination port
        `key` - Key to migrate
        `destdb` - Destination database index
        timeout
        `options` - Migrate options (see MigrateOptions)
        `handler` - Handler for the result of this call.

    - #### RedisClient monitor(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Listen for all requests received by the server in real time

      Returns:
      Parameters:
        handler

    - #### RedisClient move(java.lang.String key, int destdb, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Move a key to another database

      Returns:
      Parameters:
        `key` - Key to migrate
        `destdb` - Destination database index
        `handler` - Handler for the result of this call.

    - #### RedisClient mset(java.util.Map<java.lang.String, java.lang.Object> keyvals, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set multiple keys to multiple values

      Returns:
      Parameters:
        `keyvals` - Key value pairs to set
        `handler` - Handler for the result of this call.

    - #### RedisClient msetnx(java.util.Map<java.lang.String, java.lang.Object> keyvals, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Set multiple keys to multiple values, only if none of the keys exist

      Returns:
      Parameters:
        `keyvals` - Key value pairs to set
        `handler` - Handler for the result of this call.

    - #### RedisClient object(java.lang.String key, io.vertx.redis.op.ObjectCmd cmd, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Inspect the internals of Redis objects

      Returns:
      Parameters:
        `key` - Key string
        `cmd` - Object sub command
        `handler` - Handler for the result of this call.

    - #### RedisClient persist(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Remove the expiration from a key

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient pexpire(java.lang.String key, long millis, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Set a key's time to live in milliseconds

      Returns:
      Parameters:
        `key` - String key
        `millis` - Time to live in milliseconds
        `handler` - Handler for the result of this call.

    - #### RedisClient pexpireat(java.lang.String key, long millis, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Set the expiration for a key as a UNIX timestamp specified in milliseconds

      Returns:
      Parameters:
        `key` - Key string
        `millis` - Expiry time as Unix timestamp in milliseconds
        `handler` - Handler for the result of this call.

    - #### RedisClient pfadd(java.lang.String key, java.lang.String element, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Adds the specified element to the specified HyperLogLog.

      Returns:
      Parameters:
        `key` - Key string
        `element` - Element to add
        `handler` - Handler for the result of this call.

    - #### RedisClient pfaddMany(java.lang.String key, java.util.List<java.lang.String> elements, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Adds the specified elements to the specified HyperLogLog.

      Returns:
      Parameters:
        `key` - Key string
        `elements` - Elementa to add
        `handler` - Handler for the result of this call.

    - #### RedisClient pfcount(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Return the approximated cardinality of the set observed by the HyperLogLog at key.

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient pfcountMany(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Return the approximated cardinality of the set(s) observed by the HyperLogLog at key(s).

      Returns:
      Parameters:
        `keys` - List of keys
        `handler` - Handler for the result of this call.

    - #### RedisClient pfmerge(java.lang.String destkey, java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Merge N different HyperLogLogs into a single one.

      Returns:
      Parameters:
        `destkey` - Destination key
        `keys` - List of source keys
        `handler` - Handler for the result of this call.

    - #### RedisClient ping(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Ping the server

      Returns:
      Parameters:
        handler

    - #### RedisClient psetex(java.lang.String key, long millis, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Set the value and expiration in milliseconds of a key

      Returns:
      Parameters:
        `key` - Key string
        `millis` - Number of milliseconds until the key expires
        `value` - New value for key
        `handler` - Handler for the result of this call.

    - #### RedisClient psubscribe(java.lang.String pattern, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Listen for messages published to channels matching the given pattern

      Returns:
      Parameters:
        `pattern` - Pattern string
        `handler` - Handler for the result of this call.

    - #### RedisClient psubscribeMany(java.util.List<java.lang.String> patterns, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Listen for messages published to channels matching the given patterns

      Returns:
      Parameters:
        `patterns` - List of patterns
        `handler` - Handler for the result of this call.

    - #### RedisClient pttl(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Get the time to live for a key in milliseconds

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient publish(java.lang.String channel, java.lang.String message, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Post a message to a channel

      Returns:
      Parameters:
        `channel` - Channel key
        `message` - Message to send to channel
        `handler` - Handler for the result of this call.

    - #### RedisClient pubsubChannels(java.lang.String pattern, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Lists the currently active channels - only those matching the pattern

      Returns:
      Parameters:
        `pattern` - A glob-style pattern - an empty string means no pattern
        `handler` - Handler for the result of this call.

    - #### RedisClient pubsubNumpat(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Returns the number of subscriptions to patterns (that are performed using the PSUBSCRIBE command)

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisClient pubsubNumsub(java.util.List<java.lang.String> channels, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Returns the number of subscribers (not counting clients subscribed to patterns) for the specified channels

      Returns:
      Parameters:
        `channels` - List of channels
        `handler` - Handler for the result of this call.

    - #### RedisClient punsubscribe(java.util.List<java.lang.String> patterns, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Stop listening for messages posted to channels matching the given patterns

      Returns:
      Parameters:
        `patterns` - List of patterns to match against
        `handler` - Handler for the result of this call.

    - #### RedisClient randomkey(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Return a random key from the keyspace

      Returns:
      Parameters:
        handler

    - #### RedisClient rename(java.lang.String key, java.lang.String newkey, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Rename a key

      Returns:
      Parameters:
        `key` - Key string to be renamed
        `newkey` - New key string
        `handler` - Handler for the result of this call.

    - #### RedisClient renamenx(java.lang.String key, java.lang.String newkey, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Rename a key, only if the new key does not exist

      Returns:
      Parameters:
        `key` - Key string to be renamed
        `newkey` - New key string
        `handler` - Handler for the result of this call.

    - #### RedisClient restore(java.lang.String key, long millis, java.lang.String serialized, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Create a key using the provided serialized value, previously obtained using DUMP.

      Returns:
      Parameters:
        `key` - Key string
        `millis` - Expiry time in milliseconds to set on the key
        `serialized` - Serialized form of the key value as obtained using DUMP
        `handler` - Handler for the result of this call.

    - #### RedisClient role(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Return the role of the instance in the context of replication

      Returns:
      Parameters:
        handler

    - #### RedisClient rpop(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove and get the last element in a list

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient rpoplpush(java.lang.String key, java.lang.String destkey, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove the last element in a list, append it to another list and return it

      Returns:
      Parameters:
        `key` - Key string identifying source list
        `destkey` - Key string identifying destination list
        `handler` - Handler for the result of this call.

    - #### RedisClient rpush(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Append one or multiple values to a list

      Returns:
      Parameters:
        `key` - Key string
        `value` - Value to be added to the end of the list
        `handler` - Handler for the result of this call.

    - #### RedisClient rpushMany(java.lang.String key, java.util.List<java.lang.String> values, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Append one or multiple values to a list

      Returns:
      Parameters:
        `key` - Key string
        `values` - List of values to add to the end of the list
        `handler` - Handler for the result of this call.

    - #### RedisClient rpushx(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Append a value to a list, only if the list exists

      Returns:
      Parameters:
        `key` - Key string
        `value` - Value to be added to the end of the list
        `handler` - Handler for the result of this call.

    - #### RedisClient sadd(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Add a member to a set

      Returns:
      Parameters:
        `key` - Key string
        `member` - Value to be added to the set
        `handler` - Handler for the result of this call.

    - #### RedisClient saddMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Add one or more members to a set

      Returns:
      Parameters:
        `key` - Key string
        `members` - Values to be added to the set
        `handler` - Handler for the result of this call.

    - #### RedisClient save(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Synchronously save the dataset to disk

      Returns:
      Parameters:
        handler

    - #### RedisClient scan(java.lang.String cursor, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Incrementally iterate the keys space

      Returns:
      Parameters:
        `cursor` - Cursor id
        `options` - Scan options (see ScanOptions)
        `handler` - Handler for the result of this call.

    - #### RedisClient scard(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Get the number of members in a set

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient scriptExists(java.lang.String script, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Check existence of script in the script cache.

      Returns:
      Parameters:
        `script` - SHA1 digest identifying a script in the script cache
        `handler` - Handler for the result of this call.

    - #### RedisClient scriptExistsMany(java.util.List<java.lang.String> scripts, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Check existence of scripts in the script cache.

      Returns:
      Parameters:
        `scripts` - List of SHA1 digests identifying scripts in the script cache
        `handler` - Handler for the result of this call.

    - #### RedisClient scriptFlush(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove all the scripts from the script cache.

      Returns:
      Parameters:
        handler

    - #### RedisClient scriptKill(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Kill the script currently in execution.

      Returns:
      Parameters:
        handler

    - #### RedisClient scriptLoad(java.lang.String script, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Load the specified Lua script into the script cache.

      Returns:
      Parameters:
        `script` - Lua script
        `handler` - Handler for the result of this call.

    - #### RedisClient sdiff(java.lang.String key, java.util.List<java.lang.String> cmpkeys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Subtract multiple sets

      Returns:
      Parameters:
        `key` - Key identifying the set to compare with all other sets combined
        `cmpkeys` - List of keys identifying sets to subtract from the key set
        `handler` - Handler for the result of this call.

    - #### RedisClient sdiffstore(java.lang.String destkey, java.lang.String key, java.util.List<java.lang.String> cmpkeys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Subtract multiple sets and store the resulting set in a key

      Returns:
      Parameters:
        `destkey` - Destination key where the result should be stored
        `key` - Key identifying the set to compare with all other sets combined
        `cmpkeys` - List of keys identifying sets to subtract from the key set
        `handler` - Handler for the result of this call.

    - #### RedisClient select(int dbindex, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Change the selected database for the current connection

      Returns:
      Parameters:
        `dbindex` - Index identifying the new active database
        `handler` - Handler for the result of this call.

    - #### RedisClient set(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Set the string value of a key

      Returns:
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `handler` - Handler for the result of this call.

    - #### RedisClient setBinary(java.lang.String key, Buffer value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Set the binary string value of a key - without encoding as utf-8

      Returns:
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `handler` - Handler for the result of this call.

    - #### RedisClient setBinaryWithOptions(java.lang.String key, Buffer value, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Set the string value of a key

      Returns:
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `options` - Set options (see SetOptions)
        `handler` - Handler for the result of this call.

    - #### RedisClient setWithOptions(java.lang.String key, java.lang.String value, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the string value of a key

      Returns:
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `options` - Set options (see SetOptions)
        `handler` - Handler for the result of this call.

    - #### RedisClient setbit(java.lang.String key, long offset, int bit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Sets or clears the bit at offset in the string value stored at key

      Returns:
      Parameters:
        `key` - Key string
        `offset` - Bit offset
        `bit` - New value - must be 1 or 0
        `handler` - Handler for the result of this call.

    - #### RedisClient setex(java.lang.String key, long seconds, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Set the value and expiration of a key

      Returns:
      Parameters:
        `key` - Key string
        `seconds` - Number of seconds until the key expires
        `value` - New value for key
        `handler` - Handler for the result of this call.

    - #### RedisClient setnx(java.lang.String key, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Set the value of a key, only if the key does not exist

      Returns:
      Parameters:
        `key` - Key of which value to set
        `value` - New value for the key
        `handler` - Handler for the result of this call.

    - #### RedisClient setrange(java.lang.String key, int offset, java.lang.String value, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Overwrite part of a string at key starting at the specified offset

      Returns:
      Parameters:
        `key` - Key string
        `offset` - Offset - the maximum offset that you can set is 2^29 -1 (536870911), as Redis Strings are limited to 512 megabytes
        `value` - Value to overwrite with
        `handler` - Handler for the result of this call.

    - #### RedisClient sinter(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Intersect multiple sets

      Returns:
      Parameters:
        `keys` - List of keys to perform intersection on
        `handler` - Handler for the result of this call.

    - #### RedisClient sinterstore(java.lang.String destkey, java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Intersect multiple sets and store the resulting set in a key

      Returns:
      Parameters:
        `destkey` - Key where to store the results
        `keys` - List of keys to perform intersection on
        `handler` - Handler for the result of this call.

    - #### RedisClient sismember(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Determine if a given value is a member of a set

      Returns:
      Parameters:
        `key` - Key string
        `member` - Member to look for
        `handler` - Handler for the result of this call.

    - #### RedisClient slaveof(java.lang.String host, int port, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Make the server a slave of another instance

      Returns:
      Parameters:
        `host` - Host to become this server's master
        `port` - Port of our new master
        `handler` - Handler for the result of this call.

    - #### RedisClient slaveofNoone(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Make this server a master

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisClient slowlogGet(int limit, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Read the Redis slow queries log

      Returns:
      Parameters:
        `limit` - Number of log entries to return. If value is less than zero all entries are returned
        `handler` - Handler for the result of this call.

    - #### RedisClient slowlogLen(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Get the length of the Redis slow queries log

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisClient slowlogReset(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Reset the Redis slow queries log

      Returns:
      Parameters:
        `handler` - Handler for the result of this call.

    - #### RedisClient smembers(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Get all the members in a set

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient smove(java.lang.String key, java.lang.String destkey, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Move a member from one set to another

      Returns:
      Parameters:
        `key` - Key of source set currently containing the member
        `destkey` - Key identifying the destination set
        `member` - Member to move
        `handler` - Handler for the result of this call.

    - #### RedisClient sort(java.lang.String key, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Sort the elements in a list, set or sorted set

      Returns:
      Parameters:
        `key` - Key string
        `options` - Sort options (see SortOptions)
        `handler` - Handler for the result of this call.

    - #### RedisClient spop(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Remove and return a random member from a set

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient spopMany(java.lang.String key, int count, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Remove and return random members from a set

      Returns:
      Parameters:
        `key` - Key string
        `count` - Number of members to remove
        `handler` - Handler for the result of this call.

    - #### RedisClient srandmember(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get one or multiple random members from a set

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient srandmemberCount(java.lang.String key, int count, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Get one or multiple random members from a set

      Returns:
      Parameters:
        `key` - Key string
        `count` - Number of members to get
        `handler` - Handler for the result of this call.

    - #### RedisClient srem(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Remove one member from a set

      Returns:
      Parameters:
        `key` - Key string
        `member` - Member to remove
        `handler` - Handler for the result of this call.

    - #### RedisClient sremMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Remove one or more members from a set

      Returns:
      Parameters:
        `key` - Key string
        `members` - Members to remove
        `handler` - Handler for the result of this call.

    - #### RedisClient sscan(java.lang.String key, java.lang.String cursor, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Incrementally iterate Set elements

      Returns:
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options (see ScanOptions)
        `handler` - Handler for the result of this call.

    - #### RedisClient strlen(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Get the length of the value stored in a key

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient subscribe(java.lang.String channel, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Listen for messages published to the given channels

      Returns:
      Parameters:
        `channel` - Channel to subscribe to
        `handler` - Handler for the result of this call.

    - #### RedisClient subscribeMany(java.util.List<java.lang.String> channels, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Listen for messages published to the given channels

      Returns:
      Parameters:
        `channels` - List of channels to subscribe to
        `handler` - Handler for the result of this call.

    - #### RedisClient sunion(java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Add multiple sets

      Returns:
      Parameters:
        `keys` - List of keys identifying sets to add up
        `handler` - Handler for the result of this call.

    - #### RedisClient sunionstore(java.lang.String destkey, java.util.List<java.lang.String> keys, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Add multiple sets and store the resulting set in a key

      Returns:
      Parameters:
        `destkey` - Destination key
        `keys` - List of keys identifying sets to add up
        `handler` - Handler for the result of this call.

    - #### RedisClient sync(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Internal command used for replication

      Returns:
      Parameters:
        handler

    - #### RedisClient time(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Return the current server time

      Returns:
      Parameters:
        handler

    - #### RedisTransaction transaction()

      Return a RedisTransaction instance

      Returns:
        transaction instance

    - #### RedisClient ttl(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Get the time to live for a key

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient type(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Determine the type stored at key

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient unsubscribe(java.util.List<java.lang.String> channels, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> handler)

      Stop listening for messages posted to the given channels

      Returns:
      Parameters:
        `channels` - List of channels to subscribe to
        `handler` - Handler for the result of this call.

    - #### RedisClient wait(long numSlaves, long timeout, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Wait for the synchronous replication of all the write commands sent in the context of the current connection.

      Returns:
      Parameters:
        numSlaves
        timeout
        `handler` - Handler for the result of this call.

    - #### RedisClient zadd(java.lang.String key, double score, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Add one or more members to a sorted set, or update its score if it already exists

      Returns:
      Parameters:
        `key` - Key string
        `score` - Score used for sorting
        `member` - New member key
        `handler` - Handler for the result of this call.

    - #### RedisClient zaddMany(java.lang.String key, java.util.Map<java.lang.String, java.lang.Double> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Add one or more members to a sorted set, or update its score if it already exists

      Returns:
      Parameters:
        `key` - Key string
        `members` - New member keys and their scores
        `handler` - Handler for the result of this call.

    - #### RedisClient zcard(java.lang.String key, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Get the number of members in a sorted set

      Returns:
      Parameters:
        `key` - Key string
        `handler` - Handler for the result of this call.

    - #### RedisClient zcount(java.lang.String key, double min, double max, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Count the members in a sorted set with scores within the given values

      Returns:
      Parameters:
        `key` - Key string
        `min` - Minimum score
        `max` - Maximum score
        `handler` - Handler for the result of this call.

    - #### RedisClient zincrby(java.lang.String key, double increment, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Increment the score of a member in a sorted set

      Returns:
      Parameters:
        `key` - Key string
        `increment` - Increment amount
        `member` - Member key
        `handler` - Handler for the result of this call.

    - #### RedisClient zinterstore(java.lang.String destkey, java.util.List<java.lang.String> sets, io.vertx.redis.op.AggregateOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Intersect multiple sorted sets and store the resulting sorted set in a new key

      Returns:
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets to intersect
        `options` - Aggregation options
        `handler` - Handler for the result of this call.

    - #### RedisClient zinterstoreWeighed(java.lang.String destkey, java.util.Map<java.lang.String, java.lang.Double> sets, io.vertx.redis.op.AggregateOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Intersect multiple sorted sets and store the resulting sorted set in a new key using weights for scoring

      Returns:
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets to intersect
        `options` - Aggregation options
        `handler` - Handler for the result of this call.

    - #### RedisClient zlexcount(java.lang.String key, java.lang.String min, java.lang.String max, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Count the number of members in a sorted set between a given lexicographical range

      Returns:
      Parameters:
        `key` - Key string
        `min` - Pattern to compare against for minimum value
        `max` - Pattern to compare against for maximum value
        `handler` - Handler for the result of this call.

    - #### RedisClient zrange(java.lang.String key, long start, long stop, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Return a range of members in a sorted set, by index

      Returns:
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
        `handler` - Handler for the result of this call.

    - #### RedisClient zrangeWithOptions(java.lang.String key, long start, long stop, io.vertx.redis.op.RangeOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Return a range of members in a sorted set, by index

      Returns:
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
        `options` - Range options
        `handler` - Handler for the result of this call.

    - #### RedisClient zrangebylex(java.lang.String key, java.lang.String min, java.lang.String max, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Return a range of members in a sorted set, by lexicographical range

      Returns:
      Parameters:
        `key` - Key string
        `min` - Pattern representing a minimum allowed value
        `max` - Pattern representing a maximum allowed value
        `options` - Limit options where limit can be specified (see LimitOptions)
        `handler` - Handler for the result of this call.

    - #### RedisClient zrangebyscore(java.lang.String key, java.lang.String min, java.lang.String max, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Return a range of members in a sorted set, by score

      Returns:
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
        `options` - Range and limit options (see RangeLimitOptions)
        `handler` - Handler for the result of this call.

    - #### RedisClient zrank(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Determine the index of a member in a sorted set

      Returns:
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
        `handler` - Handler for the result of this call.

    - #### RedisClient zrem(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Remove one member from a sorted set

      Returns:
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
        `handler` - Handler for the result of this call.

    - #### RedisClient zremMany(java.lang.String key, java.util.List<java.lang.String> members, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Remove one or more members from a sorted set

      Returns:
      Parameters:
        `key` - Key string
        `members` - Members in the sorted set identified by key
        `handler` - Handler for the result of this call.

    - #### RedisClient zremrangebylex(java.lang.String key, java.lang.String min, java.lang.String max, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Remove all members in a sorted set between the given lexicographical range

      Returns:
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
        `handler` - Handler for the result of this call.

    - #### RedisClient zremrangebyrank(java.lang.String key, long start, long stop, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Remove all members in a sorted set within the given indexes

      Returns:
      Parameters:
        `key` - Key string
        `start` - Start index
        `stop` - Stop index
        `handler` - Handler for the result of this call.

    - #### RedisClient zremrangebyscore(java.lang.String key, java.lang.String min, java.lang.String max, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Remove all members in a sorted set within the given scores

      Returns:
      Parameters:
        `key` - Key string
        `min` - Pattern defining a minimum value
        `max` - Pattern defining a maximum value
        handler

    - #### RedisClient zrevrange(java.lang.String key, long start, long stop, io.vertx.redis.op.RangeOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Return a range of members in a sorted set, by index, with scores ordered from high to low

      Returns:
      Parameters:
        `key` - Key string
        `start` - Start index for the range
        `stop` - Stop index for the range - inclusive
        `options` - Range options
        `handler` - Handler for the result of this call.

    - #### RedisClient zrevrangebylex(java.lang.String key, java.lang.String max, java.lang.String min, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Return a range of members in a sorted set, by score, between the given lexicographical range with scores ordered from high to low

      Returns:
      Parameters:
        `key` - Key string
        `max` - Pattern defining a maximum value
        `min` - Pattern defining a minimum value
        `options` - Limit options (see LimitOptions)
        `handler` - Handler for the result of this call.

    - #### RedisClient zrevrangebyscore(java.lang.String key, java.lang.String max, java.lang.String min, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Return a range of members in a sorted set, by score, with scores ordered from high to low

      Returns:
      Parameters:
        `key` - Key string
        `max` - Pattern defining a maximum value
        `min` - Pattern defining a minimum value
        `options` - Range and limit options (see RangeLimitOptions)
        `handler` - Handler for the result of this call.

    - #### RedisClient zrevrank(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Determine the index of a member in a sorted set, with scores ordered from high to low

      Returns:
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
        `handler` - Handler for the result of this call.

    - #### RedisClient zscan(java.lang.String key, java.lang.String cursor, java.util.Map<java.lang.String, java.lang.Object> options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.util.List<java.lang.Object>>> handler)

      Incrementally iterate sorted sets elements and associated scores

      Returns:
      Parameters:
        `key` - Key string
        `cursor` - Cursor id
        `options` - Scan options (see ScanOptions)
        `handler` - Handler for the result of this call.

    - #### RedisClient zscore(java.lang.String key, java.lang.String member, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.String>> handler)

      Get the score associated with the given member in a sorted set

      Returns:
      Parameters:
        `key` - Key string
        `member` - Member in the sorted set identified by key
        `handler` - Handler for the result of this call.

    - #### RedisClient zunionstore(java.lang.String destkey, java.util.List<java.lang.String> sets, io.vertx.redis.op.AggregateOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Add multiple sorted sets and store the resulting sorted set in a new key

      Returns:
      Parameters:
        `destkey` - Destination key
        `sets` - List of keys identifying sorted sets
        `options` - Aggregation options
        `handler` - Handler for the result of this call.

    - #### RedisClient zunionstoreWeighed(java.lang.String key, java.util.Map<java.lang.String, java.lang.Double> sets, io.vertx.redis.op.AggregateOptions options, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Long>> handler)

      Add multiple sorted sets using weights, and store the resulting sorted set in a new key

      Returns:
      Parameters:
        `key` - Destination key
        `sets` - Map containing set-key:weight pairs
        `options` - Aggregation options
        `handler` - Handler for the result of this call.